about summary refs log tree commit diff
path: root/third_party/git/Documentation/install-doc-quick.sh
diff options
context:
space:
mode:
authorVincent Ambo <Vincent Ambo>2020-01-11T23·36+0000
committerVincent Ambo <Vincent Ambo>2020-01-11T23·40+0000
commit7ef0d62730840ded097b524104cc0a0904591a63 (patch)
treea670f96103667aeca4789a95d94ca0dff550c4ce /third_party/git/Documentation/install-doc-quick.sh
parent6a2a3007077818e24a3d56fc492ada9206a10cf0 (diff)
parent1b593e1ea4d2af0f6444d9a7788d5d99abd6fde5 (diff)
merge(third_party/git): Merge squashed git subtree at v2.23.0 r/373
Merge commit '1b593e1ea4d2af0f6444d9a7788d5d99abd6fde5' as 'third_party/git'
Diffstat (limited to 'third_party/git/Documentation/install-doc-quick.sh')
-rwxr-xr-xthird_party/git/Documentation/install-doc-quick.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/third_party/git/Documentation/install-doc-quick.sh b/third_party/git/Documentation/install-doc-quick.sh
new file mode 100755
index 0000000000..17231d8e59
--- /dev/null
+++ b/third_party/git/Documentation/install-doc-quick.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# This requires git-manpages and/or git-htmldocs repositories
+
+repository=${1?repository}
+destdir=${2?destination}
+GIT_MAN_REF=${3?master}
+
+GIT_DIR=
+for d in "$repository/.git" "$repository"
+do
+	if GIT_DIR="$d" git rev-parse "$GIT_MAN_REF" >/dev/null 2>&1
+	then
+		GIT_DIR="$d"
+		export GIT_DIR
+		break
+	fi
+done
+
+if test -z "$GIT_DIR"
+then
+	echo >&2 "Neither $repository nor $repository/.git is a repository"
+	exit 1
+fi
+
+GIT_WORK_TREE=$(pwd)
+GIT_INDEX_FILE=$(pwd)/.quick-doc.$$
+export GIT_INDEX_FILE GIT_WORK_TREE
+rm -f "$GIT_INDEX_FILE"
+trap 'rm -f "$GIT_INDEX_FILE"' 0
+
+git read-tree "$GIT_MAN_REF"
+git checkout-index -a -f --prefix="$destdir"/
+
+if test -n "$GZ"
+then
+	git ls-tree -r --name-only "$GIT_MAN_REF" |
+	xargs printf "$destdir/%s\n" |
+	xargs gzip -f
+fi
+rm -f "$GIT_INDEX_FILE"